Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.rfid.api.workflow.config
Class DynamicSetConstants.DynamicSetID

    java.lang.Object
      java.lang.Enum
          com.bea.rfid.api.workflow.config.DynamicSetConstants.DynamicSetID

All Implemented Interfaces:
  Serializable, Comparable

Enclosing interface:
  DynamicSetConstants

    public static final class DynamicSetConstants.DynamicSetID

extends Enum

Defines identifiers for the `Dynamic Set` types supported by the edge flow system.

See Also:
  Serialized Form

Field Summary
`static DynamicSetConstants.DynamicSetID` | `ECREPORT` Dynamic set identifier for the names of the `ECReport`s that may be produced by the `ECSpec`s defined in the edge server.
`static DynamicSetConstants.DynamicSetID` | `ECSPEC` Dynamic set identifier for the names of all the `ECSpec`s defined in the edge server.
`static DynamicSetConstants.DynamicSetID` | `INPUT_PORT` Dynamic set identifier for input ports of edge flow modules.
`static DynamicSetConstants.DynamicSetID` | `LOGICAL_READER` Dynamic set identifier for the names of all the logical readers defined in edge server.

Method Summary
`static DynamicSetConstants.DynamicSetID` | `valueOf(String name)`
`static DynamicSetConstants.DynamicSetID[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### INPUT_PORT

    public static final DynamicSetConstants.DynamicSetID INPUT_PORT

  Dynamic set identifier for input ports of edge flow modules.

### LOGICAL_READER

    public static final DynamicSetConstants.DynamicSetID LOGICAL_READER

  Dynamic set identifier for the names of all the logical readers defined in edge server.

### ECSPEC

    public static final DynamicSetConstants.DynamicSetID ECSPEC

  Dynamic set identifier for the names of all the `ECSpec`s defined in the edge server.

### ECREPORT

    public static final DynamicSetConstants.DynamicSetID ECREPORT

  Dynamic set identifier for the names of the `ECReport`s that may be produced by the `ECSpec`s defined in the edge server.

Method Detail

### values

    public static final DynamicSetConstants.DynamicSetID[] values()

### valueOf

    public static DynamicSetConstants.DynamicSetID valueOf(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD